package batmasnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически воюет в битве мастеров
*/

// BatMasNet -- танкует в битве мастеров
type BatMasNet struct {
	*sectionnet.SectionNet
	bot types.ИБот
}

// NewBatMasNet -- возвращает новый *BatMasNet
func NewBatMasNet(bot types.ИБот) (*BatMasNet, error) {
	if bot == nil {
		return nil, fmt.Errorf("NewBatMasNet(): IServBot == nil")
	}

	sf := &BatMasNet{
		// SectionNet: sectionnet.NewSectionNet(server, bot, ..., "http://wartank.ru/pvp"),
		bot: bot,
	}
	return sf, nil
}
